package solutions.bitbadger.documents

import org.junit.jupiter.api.DisplayName
import kotlin.test.Test
import kotlin.test.assertEquals

class ParametersTest {

    @Test
    @DisplayName("replaceNamesInQuery replaces successfully")
    fun replaceNamesInQuery() {
        val parameters = listOf(Parameter(":data", ParameterType.JSON, "{}"),
            Parameter(":data_ext", ParameterType.STRING, ""))
        val query = "SELECT data, data_ext FROM tbl WHERE data = :data AND data_ext = :data_ext AND more_data = :data"
        assertEquals("SELECT data, data_ext FROM tbl WHERE data = ? AND data_ext = ? AND more_data = ?",
            Parameters.replaceNamesInQuery(query, parameters), "Parameters not replaced correctly")
    }
}
